petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMSNESCopy

copies the information in a DMSNES to another DMSNES

### Synopsis

    #include "petscsnes.h"
    #include "petscdm.h"
    PetscErrorCode DMSNESCopy(DMSNES kdm,DMSNES nkdm)

Not Collective

### Input Argument

| kdm | - Original DMSNES
| nkdm | - DMSNES to receive the data, should have been created with DMSNESCreate()

### See Also

DMSNESCreate(), DMSNESDestroy()

### Level

developer

### Location

src/snes/utils/dmsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages